Labelling of hidden shapes when sub-categorization is used.

2015-08-05 09:26 AM - Juan Arjona

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.10.1 Regression?: No

Operating System: Windows 64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21246

Description

When shapes are defined through sub-categories, the labels are always shown.

How to replicate:

Add the project project.qgs found in apps/qgis/python/plugins/processing/tests/data.  Select the properties of the polygons layer.

Go to style and select categorized, use the column PLY_NUM_A and create categories based on it.  Switch to rule-based, select all

categories, right click and select refine current rule and add categories, now on the POLY_ST_A column.

Go to Labels and label the polygons with the ID column.

Now, check the box for polygons 2.2, and uncheck all the other categories.  The label "1" still shows even though all the polygons are

hidden.

Is this behavior intended?  

This happens in versions 2.8.3 and 2.10.1 - have not tested in others.
Related issues:

Related to QGIS Application - Bug report # 14455: Third level subcategories s... Closed 2016-03-10

History

#1 - 2015-08-20 02:08 PM - Juan Arjona

- Assignee set to Alessandro Pasotti

#2 - 2015-11-04 04:53 AM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

#3 - 2015-11-05 10:00 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

- Status changed from Open to Feedback

This does not seems the case anymore at least on QGIS master, please test and report back.

#4 - 2015-11-05 01:11 PM - Nyall Dawson

Fairly certain this was fixed during 2.12, so testing with 2.12 would also be appreciated

#5 - 2015-12-19 10:11 AM - Giovanni Manghi
- Status changed from Feedback to Closed

- Resolution set to fixed/implemented

closing for lack of feedback.
